#pragma once   

#include "Supervisor.h"   
#include "CompilationTask.h" 

class CompilationSupervisor : public Supervisor<CompilationTask> {
public:
	CompilationSupervisor() {
		this->init("compilationTasks.json");
	}

	CompilationTask* getTaskById(int task_id) {
		for (int i = 0; i < getLength(); ++i) {
			CompilationTask* task = get(i);
			if (task->getId() == task_id)
				return task;
		}
		return NULL;
	}

	String getStatePrefix() override {
		return String("Compilation");
	}
};